%define upstream_name    Net-Async-HTTP
%define upstream_version 0.40

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    HTTP client protocol handler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Future)
BuildRequires: perl(Future::Utils)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Async::Loop)
BuildRequires: perl(IO::Async::Stream)
BuildRequires: perl(IO::Async::Test)
BuildRequires: perl(IO::Async::Timer::Countdown)
BuildRequires: perl(List::Util)
BuildRequires: perl(Struct::Dumb)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Refcount)
BuildRequires: perl(URI)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This object class implements an asynchronous HTTP user agent. It sends
requests to servers, returning the Future manpage instances to yield
responses when they are received. The object supports multiple concurrent
connections to servers, and allows multiple requests in the pipeline to any
one connection. Normally, only one such object will be needed per program
to support any number of requests.

As well as using futures the module also supports a callback-based
interface.

This module optionally supports SSL connections, if the IO::Async::SSL
manpage is installed. If so, SSL can be requested either by passing a URI
with the 'https' scheme, or by passing a true value as the 'SSL' parameter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json README LICENSE META.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.400.0-4pclos2017
- rebuild against updates

